#!/usr/bin/perl

use strict;
use warnings;

use English qw(-no_match_vars);
use Test::More;

use AccountManager::Tools;

plan tests => 5;

my $key      = AccountManager::Tools::generate_secret(10);
my $password = AccountManager::Tools::generate_password(10);

ok(length($password) == 10, 'password has expected size'); 
ok(length($key) == 10, 'key has expected size'); 

ok($key ne $password, 'key and passwords are random strings');

my $encrypted_password = AccountManager::Tools::encrypt($password, $key);
ok($encrypted_password ne $password, 'encrypted password differs from password');

my $decrypted_password = AccountManager::Tools::decrypt($encrypted_password, $key);
ok($decrypted_password eq $password, 'decrypted password matches password');


